Skip to content
POST /unified/e-signature/signing_requests

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

descriptionstring

Human readable description of the signing request. This is usually the email body that goes as part of the signing request.

1 supported1 required
DocuSign
required
expires_atstring · date-time

The date and time when the signing request expires.

1 supported
DocuSign
supported
namestring

The name of the signing request. This is usually the email subject that goes as part of the signing request.

1 supported1 required
DocuSign
required
participantsobject[]

The participants of the signing request.

1 supported
DocuSign
supported
emailsobject[]

The emails of the participant.

1 property
emailstring

The email address of the participant.

idstring

The unique identifier of the participant.

is_signerboolean

Specifies whether the participant is a signer of the document.

namestring

The name of the participant.

routing_ordernumber

The routing order of the participant.

remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

statusobject

The status of the signing request.

1 supported
DocuSign
supported
idstring
namestring

Response Body

cancellation_reasonstring

If the signing request is voided or cancelled, the reason is specified here.

1 supported
DocuSign
supported
collectionsobject[]

The collections of the signing request.

References: Collections → id
1 supported
DocuSign
supported
idstring

The unique identifier of the collection.

namestring

The name of the collection.

created_atstring · date-time

The date and time when the signing request was created.

1 supported
DocuSign
supported
descriptionstring

Human readable description of the signing request. This is usually the email body that goes as part of the signing request.

expires_atstring · date-time

The date and time when the signing request expires.

1 supported
DocuSign
supported
groupsobject[]

The groups of the signing request.

References: Groups → id
idstring

The unique identifier of the group.

typestring

The type of the group.

idstring

The unique identifier of the signing request.

1 supported
DocuSign
supported
last_activity_atstring · date-time

The date and time when the signing request was last updated.

1 supported
DocuSign
supported
namestring

The name of the signing request. This is usually the email subject that goes as part of the signing request.

1 supported
DocuSign
supported
participantsobject[]

The participants of the signing request.

1 supported
DocuSign
supported
emailsobject[]

The emails of the participant.

1 property
emailstring

The email address of the participant.

idstring

The unique identifier of the participant.

is_signerboolean

Specifies whether the participant is a signer of the document.

namestring

The name of the participant.

routing_ordernumber

The routing order of the participant.

remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusobject

The status of the signing request.

1 supported
DocuSign
supported
idstring
namestring
typestring

The type of the signing request.

1 supported
DocuSign
supported
updated_atstring · date-time

The date and time when the signing request was last updated.

1 supported
DocuSign
supported
urlsobject[]

The urls of the signing_request

1 supported
DocuSign
supported
typestring

The type of the url

Possible values:
vieweditpublic_view
urlstring

The url of the signing_request

curl -X POST 'https://api.truto.one/unified/e-signature/signing_requests?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "your_name",
  "description": "your_description",
  "expires_at": "your_expires_at",
  "participants": [],
  "status": {},
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "name": "your_name",
  "description": "your_description",
  "expires_at": "your_expires_at",
  "participants": [],
  "status": {},
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/e-signature/signing_requests?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/e-signature/signing_requests"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "name": "your_name",
    "description": "your_description",
    "expires_at": "your_expires_at",
    "participants": [],
    "status": {},
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.create(
  'e-signature',
  'signingrequests',
  {
  "name": "your_name",
  "description": "your_description",
  "expires_at": "your_expires_at",
  "participants": [],
  "status": {},
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.create(
        "e-signature",
        "signingrequests",
        {
        "name": "your_name",
        "description": "your_description",
        "expires_at": "your_expires_at",
        "participants": [],
        "status": {},
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())